<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/*** モーダル表示用のスクリプト読み込みと内容をJSへ渡す ***/
function haup_init_editor_panel_js_helpbox(){
	$script_name = 'haup-panel-js-helpbox';

	//投稿タイプを「投稿」に指定し、haup_is_single_filterで追加できるようにする
	$posttypes = 'post,page';
	$posttypes = apply_filters('haup_is_single_filter',$posttypes);
	$posttypes = apply_filters('haup_is_single_ad_info_filter',$posttypes);
	//20250902 explodeだけでは空文字などがあった場合に不具合が出る可能性があるので修正
	$post_types_array = array_map('trim', explode(',', $posttypes));
	$post_types_array = array_filter($post_types_array);

	wp_enqueue_script(
		$script_name,
		plugin_dir_url( __FILE__ ) .'editor-panel-helpbox.js',
		[ 'wp-plugins', 'wp-edit-post', 'wp-element', 'wp-components', 'wp-data', 'wp-i18n' ],
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true,// Note: This is the default value.
		)
	);

	// 特定のタブ用のパーツを配列にまとめる
	// コンテンツ追加
	$add_content_parts = [
	haup_help_box_content_callback_surround_popup(),
		haup_help_box_content_callback_tooltip(),
		haup_help_box_content_callback_free_search(),
	];

	//値の出力
	$output_parts = [
		haup_help_box_content_callback_cf_value(),
		haup_help_box_content_callback_reuse_block(),
	];

	//制限
	$restrict_parts = [
		haup_help_box_content_callback_if_login(),
		haup_help_box_content_callback_if_admin(),
		haup_help_box_content_callback_if_mobile(),
		haup_help_box_content_callback_if_pc(),
		haup_help_box_content_callback_if_posttype(),
	];

	//日付 
	$datetime_parts = [
		haup_help_box_content_callback_moddate(),
		haup_help_box_content_callback_pab_wareki(),
		haup_help_box_content_callback_mod_wareki(),
		haup_help_box_content_callback_age(),
		
	];

	//テーマ向け 
	$theme_parts = [
		haup_help_box_content_callback_image_slider(),
		haup_help_box_content_callback_ieaccess_info(),
		haup_help_box_content_callback_credit(),
		haup_help_box_content_callback_prev_link(),
		haup_help_box_content_callback_next_link(),
		haup_help_box_content_callback_child_cat_list(),

	];

	//リンク・シェアボタン 
	$share_parts = [
		haup_help_box_content_callback_link_card(),
		haup_help_box_content_callback_url_screenshot(),
		haup_help_box_content_callback_rest_card_bombi(),
		haup_help_box_content_callback_rest_card_bombi_simple(),
		haup_help_box_content_callback_api_card(),
		haup_help_box_content_callback_api_card_simple(),

	];

	//その他
	$others_parts = [
		haup_help_box_content_callback_obfuscation_mail(),
		haup_help_box_content_callback_prev_text_link(),
		haup_help_box_content_callback_qrcode(),
		haup_help_box_content_callback_obfuscation_mail_link(),

	];

	//タブの内容
	$manual_tabs = [
		[
			'name' => 'haup-helpbox-add-content',
			'title' => __('Add Content', 'hima-art-utility'),
			'body'  =>  implode("\n", $add_content_parts),
		],
		[
			'name'  => 'haup-helpbox-output-content',
			'title' => __('Output Data', 'hima-art-utility'),
			'body'  => implode("\n", $output_parts),
		],
		[
			'name'  => 'haup-helpbox-restrict-content',
			'title' => __('Restrict Content', 'hima-art-utility'),
			'body'  => implode("\n", $restrict_parts),
		],
		[
			'name'  => 'haup-helpbox-datetime-content',
			'title' => __('Date and Time', 'hima-art-utility'),
			'body'  => implode("\n", $datetime_parts),
		],
		[
			'name'  => 'haup-helpbox-theme-content',
			'title' => __('For Theme', 'hima-art-utility'),
			'body'  => implode("\n", $theme_parts),
		],
		[
			'name'  => 'haup-helpbox-share-content',
			'title' => __('Link & Share', 'hima-art-utility'),
			'body'  => implode("\n", $share_parts),
		],
		[
			'name'  => 'haup-helpbox-others-content',
			'title' => __('Others', 'hima-art-utility'),
			'body'  => implode("\n", $others_parts),
		],
	];

	$common_header = __('Shortcode can be called from block pattern or Block Toolbar','hima-art-utility');

	//wp_localize_scriptを使ってスクリプトへ配列を渡す
	wp_localize_script($script_name, 'HaupLocalizeTextHelpbox', [
		'common_message' => $common_header,
		'post_types' => $post_types_array, //適用させる投稿タイプを配列で渡す
		'modal_title' => __('HAU Short Code List','hima-art-utility'),
		'close_text' => __('Close','hima-art-utility'),
		'sidepanel_title' => __('Use HAU Shortcode','hima-art-utility'),
		'sidepanel_text' => __('This displays the shortcodes that can be used in Hima Art Utility and how to use them.','hima-art-utility'),
		'sidepanel_button_title' => __('View Manual Panel','hima-art-utility'),
		'tabs' => $manual_tabs, //タブの内容として流し込む内容
		'link_url' => HAUP_MANUAL_DIR.'/howto-use-shortcode',
		'link_title' => __('See how to use shortcodes','hima-art-utility'),
	]);
}
add_action('enqueue_block_editor_assets','haup_init_editor_panel_js_helpbox');

/***** モーダルに表示する内容をコールバック関数 *****/
/*** コンテンツ作成ショートコードカテゴリー ***/
/* 囲み型ポップアップ */
function haup_help_box_content_callback_surround_popup(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Popup content (enclosure shortcode)','hima-art-utility');
	$shortcode ='[ha-inline-popup title="" width=""][/ha-inline-popup]';

	$text_a = __('This is a shortcode that allows you to display a popup by clicking on the block enclosed in the shortcode.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specify the link string to display the popup.','hima-art-utility');
	$text_e = __('You can use any HTML tag available in your posts and pages.','hima-art-utility');
	$text_f = __('Specify the width of the content to be displayed in the popup in px units.','hima-art-utility');
	$text_g = __('If not specified, the width specified in the layout → contentSize of theme.json will be set.','hima-art-utility'); 

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
		<p>'.esc_html($text_a).'</p>
		<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html($text_b).'</th><th>'.esc_html($text_c).'</th></tr></thead>
			<tbody>
				<tr><td>title</td>
					<td>
						'.esc_html($text_d).'
						<br>
						<span style="color:green;font-weight:bold;">'.esc_html($text_e).'</span>
					</td>
				</tr>
				<tr>
					<td>width</td>
					<td>
						'.esc_html($text_f).'
						<br>
						<span style="color:green;font-weight:bold;">'.esc_html( $text_g ).'</span>
					</td>
				</tr>
			</tbody>
		</table>
	</figure>
	</div>
	</details>
	';

	return $output;
}

/* ツールチップ */
function haup_help_box_content_callback_tooltip(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Add Tooltip Content','hima-art-utility');
	$shortcode ='[sample-tooltip title="" text =""]';

	$text_a = __('Displays the character string set in the text parameter in a balloon when the character string set in the title parameter is moused over.','hima-art-utility');
	$text_b = __('Since it is added with a span tag, it can be freely inserted into blocks such as paragraphs and tables, but please note that it will not work properly if you insert HTML tags (for example, br tags) into each parameter','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
		<p>'.esc_html( $text_a ).'</p>
		<p style="color:red;">'.esc_html( $text_b ).'</p>
	</div>
	</details>
	';

	return $output;
}

/* フリーワード検索 */
function haup_help_box_content_callback_free_search(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Ajax Text Search Form','hima-art-utility');
	$shortcode ='[ha-ajax-text-search]';

	$text_a = __('When you enter characters, we will set up a search form that displays the corresponding page on the site without changing the screen.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
		<p>'.esc_html( $text_a ).'</p>
	</div>
	</details>
	';

	return $output;
}

/*** 値や情報の出力ショートコードカテゴリー ***/
/* カスタムフィールド値の呼び出し */
function haup_help_box_content_callback_cf_value(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show Custom Field','hima-art-utility');
	$shortcode = "[ha-field field='' post_id='' wrap='']";

	$text_a = __('Call and display the value stored in the custom field','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specify the value of the custom field name ("Name" column) from which to extract the value','hima-art-utility');
	$text_e = __('Specify the ID of the post to extract the value from (if not entered, the value of the custom field set for that post will be output)','hima-art-utility');
	$text_f = __('Specify the HTML tag that surrounds the output value (if not specified, it will be output as a span tag)','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>field</td><td>'.esc_html( $text_d ).'</td></tr>
				<tr><td>post_id</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>wrap</td><td>'.esc_html( $text_f ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* 再利用ブロックをショートコードで出力 */
function haup_help_box_content_callback_reuse_block(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Output reusable block with shortcode','hima-art-utility');
	$shortcode = '[ha-reuse-sc id=""]';

	$text_a = __('Display a specific reusable block by specifying the reusable block ID','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specifies the ID of the reusable block','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>ID</td><td>'.esc_html( $text_d ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/*** 閲覧制限ショートコードカテゴリー ***/
/* ログインユーザーのみ表示 */
function haup_help_box_content_callback_if_login(){
	//文字列を変数化
	$title =__('Login user only','hima-art-utility');
	$shortcode ='[if-login][/if-login]';

	$text_a = __('Make blocks inserted between shortcodes visible only to logged-in users','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* 管理ユーザーのみ表示 */
function haup_help_box_content_callback_if_admin(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Admin user only','hima-art-utility');
	$shortcode ='[if-admin][/if-admin]';

	$text_a = __('Make blocks inserted between shortcodes visible only to users with admin privileges','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* モバイルのみ表示 */
function haup_help_box_content_callback_if_mobile(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Mobile show only','hima-art-utility');
	$shortcode ='[ha-mobile][/ha-mobile]';

	$text_a = __('Display the block inserted between shortcodes only when accessing from mobile','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* パソコンのみ表示 */
function haup_help_box_content_callback_if_pc(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('PC show only','hima-art-utility');
	$shortcode ='[ha-pc][/ha-pc]';

	$text_a = __('Blocks inserted between shortcodes are displayed only when accessed from a computer','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* 投稿タイプによって制限 */
function haup_help_box_content_callback_if_posttype(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Display only on specific post types (for block templates)','hima-art-utility');
	$shortcode = '[ha-ptype posttype=""][/ha-ptype]';

	$text_a = __('Only display the block inserted in the shortcode on the specified post type','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specifies the post type slug to display','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>posttype</td><td>'.esc_html( $text_d ).'</td></tr>
			</tbody>
		</table>
	</figure>
	</div>
	</details>
	';

	return $output;
}

/*** 日付ショートコードカテゴリー ***/
/* 最終更新日 */
function haup_help_box_content_callback_moddate(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show Modified Date','hima-art-utility');
	$shortcode = '[ha-mdate]';
	
	$text_a = __('Shows the last modified date of a post or page','hima-art-utility');
	$text_b = __('*Only works with a single template','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	<p style="margin-left:20px;color:red;">'.esc_html( $text_b ).'</p>
	';

	return $output;
}

/* 公開日を和暦込みで表示 */
function haup_help_box_content_callback_pab_wareki(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Display the release date including the Japanese calendar','hima-art-utility');
	$shortcode = '[p-wareki]';

	$text_a = __('Display the publication date of the post/fixed page with the Japanese calendar. Example: April 1, 2023 is displayed as April 1, 2023 (Reiwa 5)','hima-art-utility');
	$text_b = __('*Only works with a single template','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	<p style="margin-left:20px;color:red;">'.esc_html( $text_b ).'</p>
	';

	return $output;
}

/* 最終更新日を和暦込みで表示 */
function haup_help_box_content_callback_mod_wareki(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Display the last update date including the Japanese calendar','hima-art-utility');
	$shortcode = '[m-wareki]';

	$text_a = __('Display the last update date of the post/fixed page with the Japanese calendar. Example: April 1, 2023 is displayed as April 1, 2023 (Reiwa 5)','hima-art-utility');
	$text_b = __('*Only works with a single template','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	<p style="margin-left:20px;color:red;">'.esc_html( $text_b ).'</p>
	';

	return $output;
}

/* 年齢（没年齢を含む） */
function haup_help_box_content_callback_age(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Shows the number of years (age) since your birthday','hima-art-utility');
	$shortcode = '[ha-calculate-age birthday="" dead_day="" show_birthday="yes" show_months="yes"]';

	$text_a = __('Calculates and outputs the number of years (age) elapsed from the date of birth to the present, or the number of years until the date of death.','hima-art-utility');
	$text_b = __('If the date of birth is entered, the current age is output. If the date of birth or death is entered, the age at death is output.','hima-art-utility');
	$text_c = __('Parameter','hima-art-utility');
	$text_d = __('Description','hima-art-utility');
	$text_e = __('Enter your date of birth in "yyyymmdd" format','hima-art-utility'); 
	$text_f = __('Enter the date of death in "yyyymmdd" format','hima-art-utility'); 
	$text_g = __('Display birthday with "yes" or without specifying, display only age without displaying birthday with "no"','hima-art-utility');
	$text_h = __('"yes" or no specification displays age (age at death) down to months, "no" displays up to years','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<p>'.esc_html( $text_b ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_c ).'</th><th>'.esc_html( $text_d ).'</th></tr></thead>
			<tbody>
				<tr><td>birthday</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>dead_day</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>show_birthday</td><td>'.esc_html( $text_g ).'</td></tr>
				<tr><td>show_months</td><td>'.esc_html( $text_h ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/*** テーマ ***/
/* 画像スライダー */
function haup_help_box_content_callback_image_slider(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show Image Slider','hima-art-utility');
	$shortcode = '[ha-slide-image]';

	$text_a = __('It is a lightweight image slider composed only of CSS. <br>While displaying an image that expands slowly, it will change to the next image in about 6 seconds.','hima-art-utility');
	$text_b = __('Select 3 images on the plug-in setting screen, set the height of the background image and the full width (whether to display in full screen) and insert the following shortcode.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'
	<br>
	'.esc_html( $text_b ).'</p>
	';

	return $output;
}

/* IEアクセス時の警告 */
function haup_help_box_content_callback_ieaccess_info(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Warning when accessing IE','hima-art-utility');
	$shortcode = "[ha-iew mes='']";

	$text_a = __('Display a warning message when accessed from Internet Explorer','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Replace the standard message "This site does not support some browsers, so the page may not work properly in your environment."','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>mes</td><td>'.esc_html( $text_d ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* 年範囲でのクレジット表示 */
function haup_help_box_content_callback_credit(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show Credit Content','hima-art-utility');
	$shortcode = '[footer-credit textcolor=""]';

	$text_a = __('In the footer, display the site name (link to the top page), site copyright range (date range of posted content corrected to year)','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('specify the text color','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>textcolor</td><td>'.esc_html( $text_d ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* 前の投稿へのリンク */
function haup_help_box_content_callback_prev_link(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Link to previous page','hima-art-utility');
	$shortcode = '[ha-prev-post]';

	$text_a = __('Displays a link to the previous post with a featured image based on the last updated date','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* 次の投稿へのリンク */
function haup_help_box_content_callback_next_link(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Link to next page','hima-art-utility');
	$shortcode = '[ha-next-post]';

	$text_a = __('Displays a link to the next post with a featured image based on the last updated date.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* 子カテゴリーの一覧 */
function haup_help_box_content_callback_child_cat_list(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Category List by Parent','hima-art-utility');
	$shortcode = '[ha-cat-list parentid="" hideparent="" hidenull=""]';

	$text_a = __('Displays a list of child categories that have the specified ID as a parent category.','hima-art-utility');
	$text_b = __('Use the following parameters','hima-art-utility');
	$text_c = __('"parentid": Specify the ID of the parent category','hima-art-utility');
	$text_d = __('"hideparent": Specify "1" if you do not want to include the parent category in the list.','hima-art-utility');
	$text_e = __('"hidenull": Select "1" to hide categories that have no associated content.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
	<p>'.esc_html( $text_a ).esc_html( $text_b ).'</p>
	<ul>
	<li>'.esc_html( $text_c ).'</li>
	<li>'.esc_html( $text_d ).'</li>
	<li>'.esc_html( $text_e ).'</li>
	</ul>
	</div>
	</details>
	';

	return $output;
}

/*** リンク・シェアボタンショートコードカテゴリー ***/
/* 外部リンクカード */
function haup_help_box_content_callback_link_card(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('External Link Card','hima-art-utility');
	$shortcode = "[ha-linkcard url='' title='' excerpt='' alt='' load='']";

	$text_a = __('Display links of external sites in card format','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specify the destination URL','hima-art-utility');
	$text_e = __('Specify this to display a title different from the title obtained from the link destination','hima-art-utility');
	$text_f = __('Specify when displaying an excerpt different from the excerpt obtained from the link destination','hima-art-utility');
	$text_g = __('Specifies an alternative character string for the featured image obtained from the link destination','hima-art-utility');
	$text_h = __('Specify how to load the featured image obtained from the link destination (basically lazy. Enter eager to force)','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>url</td><td>'.esc_html( $text_d ).'</td></tr>
				<tr><td>title</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>excerpt</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>alt</td><td>'.esc_html( $text_g ).'</td></tr>
				<tr><td>load</td><td>'.esc_html( $text_h ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* URLのスクリーンショット表示 */
function haup_help_box_content_callback_url_screenshot(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Take screenshot','hima-art-utility');
	$shortcode = "[ha-sshot url='' alt='' title = '' w='' h='' load='']";

	$text_a = __('Acquire screenshots of external/internal pages and display them in text, etc.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('Specify the URL to get the screenshot','hima-art-utility');
	$text_e = __('Set an alternative string when the image cannot be displayed (quote the URL if not specified)','hima-art-utility');
	$text_f = __('Specify the title attribute to be added to the image tag (URL will be quoted if not specified)','hima-art-utility');
	$text_g = __('Specify the width (px) of the screenshot with a real number<br>Example: Enter 600 for 600px (default is 800)','hima-art-utility');
	$text_h = __('Specify the height (px) of the screenshot with a real number<br>Example: Enter 600 for 600px (default is 600)','hima-art-utility');
	$text_i = __('Specify either "lazy" or "eager" (default is "lazy")','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>url</td><td>'.esc_html( $text_d ).'</td></tr>
				<tr><td>alt</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>title</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>w</td><td>'.esc_html( $text_g ).'</td></tr>
				<tr><td>h</td><td>'.esc_html( $text_h ).'</td></tr>
				<tr><td>load</td><td>'.esc_html( $text_i ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* REST APIを使ったリストカード（複数サイト対応） */
function haup_help_box_content_callback_rest_card_bombi(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('REST API Post List (Multiple Site & Card Type)','hima-art-utility');
	$shortcode = '[ha-latest-posts-with-thumbnails sites="" number="" order_by="" display_count="" cache_time="" datetext="" des="" offset="" size="" column=""]';

	$text_a = __('Use the REST API to output a content list from an external (internal) site in card style with an featured image.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('You must be allowed to access the REST API of the site you want to retrieve.','hima-art-utility');
	$text_e = __('List the sites that display information together, separated by ","','hima-art-utility');
	$text_f = __('Specify the number to retrieve (5 will be retrieved if not specified)','hima-art-utility');
	$text_g = __('If unspecified or "modified", sort by update date in descending order, and if "date", sort by publication date in descending order.','hima-art-utility');
	$text_h = __('Specify the number of items to display after examining the acquired information (if not specified, 5 items will be displayed)','hima-art-utility');
	$text_i = __('This number must be less than the total number of sites multiplied by the "number" parameter','hima-art-utility');
	$text_j = __('Specify the number of seconds to retain the acquired data (leave blank for 3600 seconds, 0 for no data retention).','hima-art-utility');
	$text_k = __('Specify "1" to make the date prefix an icon.','hima-art-utility');
	$text_l = __('Specify "1" to display an excerpt','hima-art-utility');
	$text_m = __('Specifies the offset number of the content to retrieve (if not specified, it is 0)','hima-art-utility');
	$text_n = __('Unspecified or "small" displays a card with a small image, and "large" displays a card with a large image.','hima-art-utility');
	$text_o = __('Specifies the number of columns of content to display when "large" is specified in the "size" parameter (supports 2 to 4 columns)','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">
	
	<p>'.esc_html( $text_a ).'</p>
	<p style="color:red;">'.esc_html( $text_d ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>sites</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>number</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>order_by</td><td>'.esc_html( $text_g ).'</td></tr>
				<tr><td>display_count</td><td>'.esc_html( $text_h ).'<br>
					<span style="color:red;">'.esc_html( $text_i ).'</span>
					</td></tr>
				<tr><td>cache_time</td><td>'.esc_html( $text_j ).'</td></tr>
				<tr><td>datetext</td><td>'.esc_html( $text_k ).'</td></tr>
				<tr><td>des</td><td>'.esc_html( $text_l ).'</td></tr>
				<tr><td>offset</td><td>'.esc_html( $text_m ).'</td></tr>
				<tr><td>size</td><td>'.esc_html( $text_n ).'</td></tr>
				<tr><td>column</td><td>'.esc_html( $text_o ).'</td></tr>
			</tbody>
		</table>
	</figure>
	
	</div>
	</details>
	';

	return $output;
}

/* REST APIを使ったリスト シンプル（複数サイト対応） */
function haup_help_box_content_callback_rest_card_bombi_simple(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('REST API Post List (Multiple Site & Simple List)','hima-art-utility');
	$shortcode = '[ha-latest-posts-simple sites="" number="" order_by="" display_count="" cache_time="" datetext="" des="" offset=""]';

	$text_a = __('Use the REST API to output a list of content on external (internal) sites.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('You must be allowed to access the REST API of the site you want to retrieve.','hima-art-utility');
	$text_e = __('List the sites that display information together, separated by ","','hima-art-utility');
	$text_f = __('Specify the number to retrieve (5 will be retrieved if not specified)','hima-art-utility');
	$text_g = __('If unspecified or "modified", sort by update date in descending order, and if "date", sort by publication date in descending order.','hima-art-utility');
	$text_h = __('Specify the number of items to display after examining the acquired information (if not specified, 5 items will be displayed)','hima-art-utility');
	$text_i = __('This number must be less than the total number of sites multiplied by the "number" parameter','hima-art-utility');
	$text_j = __('Specify the number of seconds to retain the acquired data (leave blank for 3600 seconds, 0 for no data retention).','hima-art-utility');
	$text_k = __('Specify "1" to make the date prefix an icon.','hima-art-utility');
	$text_l = __('Specify "1" to display an excerpt','hima-art-utility');
	$text_m = __('Specifies the offset number of the content to retrieve (if not specified, it is 0)','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<p style="color:red;">'.esc_html( $text_d ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>sites</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>number</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>order_by</td><td>'.esc_html( $text_g ).'</td></tr>
				<tr><td>display_count</td><td>'.esc_html( $text_h ).'<br>
					<span style="color:red;">'.esc_html( $text_i ).'</span>
					</td></tr>
				<tr><td>cache_time</td><td>'.esc_html( $text_j ).'</td></tr>
				<tr><td>datetext</td><td>'.esc_html( $text_k ).'</td></tr>
				<tr><td>des</td><td>'.esc_html( $text_l ).'</td></tr>
				<tr><td>offset</td><td>'.esc_html( $text_m ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* Rest API リストカード */
function haup_help_box_content_callback_api_card(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('REST API Post List (Card Type)','hima-art-utility');
	$shortcode = '[ha-apipostlist-card home_url="" posttype="" num="" offset="" cache-second="0" orderby="" type="" des="" datetext=""]';

	$text_a = __('Use the REST API to output a content list from an external (internal) site in card style with an featured image.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('You must be allowed to access the REST API of the site you want to retrieve.','hima-art-utility');
	$text_e = __('Specify the top page URL of the site to be acquired.','hima-art-utility');
	$text_f = __('Specify the post type to retrieve','hima-art-utility');
	$text_g = __('Not required for "Post" post type','hima-art-utility');
	$text_h = __('You can only specify one post type (please note that specifying multiple types will result in an error).','hima-art-utility');
	$text_i = __('Specify the number to retrieve (5 will be retrieved if not specified)','hima-art-utility');
	$text_j = __('Specifies the offset number of the content to retrieve (if not specified, it is 0)','hima-art-utility');
	$text_k = __('Specifies the number of seconds to cache the information.','hima-art-utility');
	$text_l = __('During the specified period, information will be retrieved from the cache (temporarily saved data) and displayed quickly, but please note that data will not be updated during that period.','hima-art-utility');
	$text_m = __('When inserting the shortcode, "0 (0 seconds)" is specified so that it will be updated immediately. If you delete this value, "86400 (1 day)" will be set.','hima-art-utility');
	$text_n = __('Specify the date criteria','hima-art-utility');
	$text_o = __('If "date" or left blank, information will be retrieved based on the publication date.','hima-art-utility');
	$text_p = __('If "modified", the information will be retrieved based on the last update date.','hima-art-utility');
	$text_q = __('Select your card type','hima-art-utility');
	$text_r = __('If left blank or "small" is entered, a card with a small featured image will be displayed (disabled on mobile and displayed with a large image).','hima-art-utility');
	$text_s = __('Enter "large" to display a card with a large featured image','hima-art-utility');
	$text_t = __('Cards with large eye-catching images are displayed by enlarging small images, so if the content width is large, the image will be blurred. Please use it with content that has a limited width, such as a column.','hima-art-utility');
	$text_u = __('View excerpt','hima-art-utility');
	$text_v = __('Specify "1" to output an excerpt.','hima-art-utility');
	$text_w = __('If "0" or not specified, the excerpt will not be output.','hima-art-utility'); 
	$text_x = __('Date prefix','hima-art-utility');
	$text_y = __('If you specify "1", the "Published date" and "Updated date" will be displayed as icons.','hima-art-utility');
	$text_z = __('If the value is not "1" or is not specified, the "Published date" and "Updated date" will be displayed as text.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<p style="color:red;">'.esc_html( $text_d ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>home_url</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>posttype</td><td>'.esc_html( $text_f ).'<br>
					<span style="color:green;">'.esc_html( $text_g ).'</span><br>
					<span style="color:red;">'.esc_html( $text_h ).'</span>
					</td>
				</tr>
				<tr><td>num</td><td>'.esc_html( $text_i ).'</td></tr>
				<tr><td>offset</td><td>'.esc_html( $text_j ).'</td></tr>
				<tr><td>cache-second</td><td>'.esc_html( $text_k ).'<br>
					<span style="color:green;">'.esc_html( $text_l ).'</span>
					<span style="color:green;">'.esc_html( $text_m ).'</span>
					</td>
				</tr>
				<tr><td>orderby</td><td>'.esc_html( $text_n ).'<br>
					<span style="color:green;">'.esc_html( $text_o ).'</span><br>
					<span style="color:green;">'.esc_html( $text_p ).'</span>
					</td>
				</tr>
				<tr><td>type</td><td>'.esc_html( $text_q ).'<br>
					<span style="color:green;">'.esc_html( $text_r ).'</span><br>
					<span style="color:green;">'.esc_html( $text_s ).'</span><br>
					<span style="color:red;">'.esc_html( $text_t ).'</span>
					</td>
				</tr>
				<tr><td>des</td><td>'.esc_html( $text_u ).'<br>
					<span style="color:green;">'.esc_html( $text_v ).'</span><br>
					<span style="color:green;">'.esc_html( $text_w ).'</span>
					</td>
				</tr>
				<tr><td>datetext</td><td>'.esc_html( $text_x ).'<br>
					<span style="color:green;">'.esc_html( $text_y ).'</span><br>
					<span style="color:green;">'.esc_html( $text_z ).'</span>
					</td>
				</tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/* Rest API シンプルリスト */
function haup_help_box_content_callback_api_card_simple(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('REST API Post List (Simple List)','hima-art-utility');
	$shortcode = '[ha-apipostlist-simple home_url="" posttype="" num="" offset="" cache-second="0" datetext=""]';

	$text_a = __('Use the REST API to output a list of content on external (internal) sites.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('You must be allowed to access the REST API of the site you want to retrieve.','hima-art-utility');
	$text_e = __('Specify the top page URL of the site to be acquired.','hima-art-utility');
	$text_f = __('Specify the post type to retrieve','hima-art-utility');
	$text_g = __('Not required for "Post" post type','hima-art-utility');
	$text_h = __('You can only specify one post type (please note that specifying multiple types will result in an error).','hima-art-utility');
	$text_i = __('Specify the number to retrieve (5 will be retrieved if not specified)','hima-art-utility');
	$text_j = __('Specifies the offset number of the content to retrieve (if not specified, it is 0)','hima-art-utility');
	$text_k = __('Specifies the number of seconds to cache the information.','hima-art-utility');
	$text_l = __('During the specified period, information will be retrieved from the cache (temporarily saved data) and displayed quickly, but please note that data will not be updated during that period.','hima-art-utility');
	$text_m = __('When inserting the shortcode, "0 (0 seconds)" is specified so that it will be updated immediately. If you delete this value, "86400 (1 day)" will be set.','hima-art-utility');
	$text_n = __('Specify the date criteria','hima-art-utility');
	$text_o = __('If "date" or left blank, information will be retrieved based on the publication date.','hima-art-utility');
	$text_p = __('If "modified", the information will be retrieved based on the last update date.','hima-art-utility');
	$text_q = __('Date prefix','hima-art-utility');
	$text_r = __('If you specify "1", the "Published date" and "Updated date" will be displayed as icons.','hima-art-utility');
	$text_s = __('If the value is not "1" or is not specified, the "Published date" and "Updated date" will be displayed as text.','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'</p>
	<p style="color:red;">'.esc_html( $text_d ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).'</th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>home_url</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>posttype</td><td>'.esc_html( $text_f ).'<br>
					<span style="color:green;">'.esc_html( $text_g).'</span><br>
					<span style="color:red;">'.esc_html( $text_h).'</span>
					</td>
				</tr>
				<tr><td>num</td><td>'.esc_html( $text_i).'</td></tr>
				<tr><td>offset</td><td>'.esc_html( $text_j).'</td></tr>
				<tr><td>cache-second</td><td>'.esc_html( $text_k).'<br>
					<span style="color:green;">'.esc_html( $text_l).'</span>
					<span style="color:green;">'.esc_html( $text_m).'</span>
					</td>
				</tr>
				<tr><td>orderby</td><td>'.esc_html( $text_n).'<br>
					<span style="color:green;">'.esc_html( $text_o).'</span><br>
					<span style="color:green;">'.esc_html( $text_p).'</span>
					</td>
				</tr>

				<tr><td>datetext</td><td>'.esc_html( $text_q).'<br>
					<span style="color:green;">'.esc_html( $text_r).'</span><br>
					<span style="color:green;">'.esc_html( $text_s).'</span>
					</td>
				</tr>

			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}

/*** その他 ***/
/* メールアドレスの難読化 */
function haup_help_box_content_callback_obfuscation_mail(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Obfuscation of email address','hima-art-utility');
	$shortcode = '[email][/email]';

	$text_a = __('The email address entered in the shortcode is mechanically difficult to read (obfuscated).','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* 前ページへ戻るリンクを表示 */
function haup_help_box_content_callback_prev_text_link(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show Previous Page Link','hima-art-utility');
	$shortcode = '[return-page]';

	$text_a = __('Uses the visitors browsing history to display links to previously viewed pages within the site','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* QRコード */
function haup_help_box_content_callback_qrcode(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Show QR Code Content','hima-art-utility');
	$shortcode = '[habone-qrcode]';

	$text_a = __('Generates a QR code showing the URL of the page where the shortcode is inserted','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<p style="margin-left:20px;">'.esc_html( $text_a ).'</p>
	';

	return $output;
}

/* メールリンクの難読化 */
function haup_help_box_content_callback_obfuscation_mail_link(){
	//文字列を変数化
	$sum_title = __('View Usage','hima-art-utility');
	$title =__('Obfuscation of email link','hima-art-utility');
	$shortcode = '[mail-link text="" mail="" sub=""][/mail-link]';

	$text_a = __('The email address in the mailto tag (the function that launches the email compose form in the visitor environment) is obfuscated using the antispambot function.','hima-art-utility');
	$text_b = __('Parameter','hima-art-utility');
	$text_c = __('Description','hima-art-utility');
	$text_d = __('You can also use parameters to open the email creation form with the "subject", "text", and "recipient email address" entered.','hima-art-utility');
	$text_e = __('Specifies the body text that is automatically inserted into the email compose form','hima-art-utility');
	$text_f = __('Specify the destination of the email that is automatically inserted in the email creation form','hima-art-utility');
	$text_g = __('Specifies the subject line that is automatically inserted into the email compose form','hima-art-utility');

	$output = '
	<h4 style="margin-bottom:0.2em;">'.esc_html( $title ).' </h4>
	<p style="margin-left:20px;">'.esc_html( $shortcode ).'</p>
	<details class="accordion" style="margin-left:20px;">
	<summary class="accordion__title" style="cursor: pointer;">'.esc_html( $sum_title ).'</summary>
	<div class="accordion__content" style="border:1px solid #eee;border-radius:4px;padding: 0px 4px;">

	<p>'.esc_html( $text_a ).'
	<br>
	'.esc_html( $text_d ).'</p>
	<figure class="wp-block-table">
		<table style="padding: 8px;width: 95%;margin: 0 auto;">
			<thead><tr><th>'.esc_html( $text_b ).' </th><th>'.esc_html( $text_c ).'</th></tr></thead>
			<tbody>
				<tr><td>text</td><td>'.esc_html( $text_e ).'</td></tr>
				<tr><td>mail</td><td>'.esc_html( $text_f ).'</td></tr>
				<tr><td>sub</td><td>'.esc_html( $text_g ).'</td></tr>
			</tbody>
		</table>
	</figure>

	</div>
	</details>
	';

	return $output;
}